# $Revision: 1.21 $, $Date: 2012/02/07 22:00:21 $
#
# Conditional builds
%bcond_without	gnomevfs	# Support for gnome-vfs uris

Summary:	Lightweight video thumbnailer
Summary(pl.UTF-8):	Lekki program do wykonywania miniaturek dla filmów
Name:		ffmpegthumbnailer
Version:	2.0.7
Release:	3
License:	GPL v2
Group:		Applications/Graphics
Source0:	http://ffmpegthumbnailer.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	2b5726894792ef484793dce9568a065a
URL:		http://code.google.com/p/ffmpegthumbnailer/
%{?with_gnomevfs:BuildRequires:	GConf2-devel >= 1.2.1}
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	ffmpeg-devel >= 0.6
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.0}
%{?with_gnomevfs:BuildRequires:	libgnome-devel >= 2.0}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ffmpegthumbnailer can be used by file managers to create thumbnails
for your video files. It uses ffmpeg to decode frames from the video
files.

%description -l pl.UTF-8
ffmpegthumbnailer może być używany przez zarządców plików do tworzenia
miniaturek dla plików filmów. Wykorzystuje ffmpeg do dekodowania
klatek.

%package devel
Summary:	Header files for libffmpegthumbnailer library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libffmpegthumbnailer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ffmpeg-devel
Requires:	libpng-devel

%description devel
Header files for libffmpegthumbnailer library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libffmpegthumbnailer.

%package static
Summary:	Static libffmpegthumbnailer library
Summary(pl.UTF-8):	Statyczna biblioteka libffmpegthumbnailer
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libffmpegthumbnailer library.

%description static -l pl.UTF-8
Statyczna biblioteka libffmpegthumbnailer.

%prep
%setup -q

# use runtime library paths for dlopen
sed -i -e '
	# gnome-vfs2-libs
	s,"libgnomevfs-2.so","libgnomevfs-2.so.0",
	# glib2
	s,"libglib-2.0.so","libglib-2.0.so.0",
' main.cpp

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?with_gnomevfs:--enable-gnome-vfs}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/ffmpegthumbnailer
%attr(755,root,root) %{_libdir}/libffmpegthumbnailer.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libffmpegthumbnailer.so.4
%{_mandir}/man1/ffmpegthumbnailer.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libffmpegthumbnailer.so
%{_libdir}/libffmpegthumbnailer.la
%{_includedir}/libffmpegthumbnailer
%{_pkgconfigdir}/libffmpegthumbnailer.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libffmpegthumbnailer.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ffmpegthumbnailer.spec,v $
Revision 1.21  2012/02/07 22:00:21  arekm
- release 3

Revision 1.20  2011/12/20 19:41:51  arekm
- release 2

Revision 1.19  2011/07/26 09:37:51  arekm
- up to 2.0.7

Revision 1.18  2011/07/24 15:55:34  arekm
- release 3

Revision 1.17  2011/06/27 19:23:05  arekm
- release 2

Revision 1.16  2010/08/25 11:20:26  glen
- up to 2.0.4
- gnomevfs supproted via dlopen
- requires ffmpeg 0.6 for avcodec_decode_video2 symbol

Revision 1.15  2010/08/25 11:09:31  glen
- release 2

Revision 1.14  2010/08/25 11:09:19  glen
- ac/am deps

Revision 1.13  2010/06/24 19:35:29  arvenil
- up to 2.0.2

Revision 1.12  2010/06/18 06:59:42  arekm
- release 4

Revision 1.11  2010/01/28 23:55:14  sparky
- BR: libjpeg-devel

Revision 1.10  2010/01/28 18:55:55  megabajt
- release 3

Revision 1.9  2009/07/12 13:22:21  arekm
- release 2

Revision 1.8  2009/03/23 23:10:33  arvenil
- up to 1.5.0

Revision 1.7  2008/10/13 17:35:30  qboosh
- ldconfig dep is autodetected

Revision 1.6  2008/10/12 11:55:06  megabajt
- updated to 1.3.0
- added -devel and -static subpackages

Revision 1.5  2008/02/07 13:42:25  glen
- rel 2 (ffmpeg)

Revision 1.4  2007-08-25 13:35:35  qboosh
- better Group (Applications/Graphics)
- BR: pkgconfig
- a52dec dep comes from ffmpeg, see todo there

Revision 1.3  2007/08/16 18:29:39  czarny
- up to 1.1.3
- no link patch needed anymore
- BR: a52dec-libs-devel

Revision 1.2  2007/04/16 13:31:18  qboosh
- pl

Revision 1.1  2007/04/05 17:42:06  megabajt
- new
